Subject: Re: [PATCH v2 1/7] git-sh-setup: remove unused git_pager() function

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Sep 2021 11:37:51 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

>> No, they need to know to call 'git var GIT_PAGER' rather than using
>> the environment variable directly to pick up core.pager[...]
>
> Sorry, I should have said "...directly via git var GIT_PAGER". I also
> see that we could improve some of the doc cross-referencing here,
> i.e. "git help git") doesn't make this explicit or point to "git var",
> but we cover this in "git help var" itself.
>
>> [...]should be checking whether stdout is a tty. That is why this function
>> existed and we didn't just check the value of GIT_PAGER in our scripts
>
> For a hypothetical out-of-tree user is this really something anyone
> strictly needs? It's just an optimization. If you don't do it you'll
> just use your pager to pipe output to a non-tty.

The question we should be asking when we advocate to remove things
is "is this really something we absolutely cannot live with?"

But answering your question, if an out-of-tree user wants to behave
just like Git, pretending that it would have been part of Git and
the only reason why it is not is because it weren't invented here,
yes, not forcing the end-user to pipe the tool's output to pager is
something they would want to have a handy way to mimic, I would
think.

Thanks.